View Issue Details

IDProjectCategoryView StatusLast Update
0000989OpenMPT[All Projects] User Interfacepublic2017-07-25 15:46
Reportercircular17Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Platformx64OSWindowsOS Version10
Product VersionOpenMPT 1.26.12.00 / libopenmpt 0.2-beta26 (upgrade first) 
Target VersionOpenMPT 1.?? (long term goals)Fixed in Version 
Summary0000989: Confused by "tuning properties" interface
Description

The interface of tuning properties is a bit confusing.

  • One could edit the ratios directly in the table. Hence a lot of clicks to get through.
  • Same thing of the note names
  • Entering the local decimal separator (",") does not work, it could be replaced automatically by ".". Otherwise, I first need to convert my values to US before copy/paste.
  • When changing the ratio, the "group geometric" type is changed into "general". But if I want to switch to general, I would imagine that I would have to change it myself.
  • When entering note name, in the textbox, anything is accepted, but it is not displayed in the pattern editor and sometimes names are truncated.

The multiply option is at the bottom of the form, suggesting that it multiplies only the current ratio. I would rather suggest a single button "Multiply all ratios" and then ask for the value in an inputbox.

It is not obvious that right-clicking on the tuning collection will be the way to add a new tuning. Why not add a button or a toolbar?

The "File path" and "Save" button are displayed even if there is no file and pressing the Save button displays "operation failed". Why not hide this button? And instead of File path, it could be replaced by "location" and one could display "Inside program settings" or "inside song file"

Steps To Reproduce

Go to the instruments tab, in Alternative Tuning, choose "Control tunings...". Select "Tune specific tunings". In group ratio, write 2. In group size write for example 12. Select "Group geometric" tuning type.

Here are some details on how to reproduce some of the issues mentionned in the description.

  • Enter the note name "Do" or "Re". Close the dialog, choose the newly creating tuning for the instrument and go in pattern editor. These notes will be displayed as "D" and "R".
  • Enter the note name "Cx" (means C double sharp). Close the dialog and go in pattern editor. This note will be displayed as "C".
  • Enter the note name "Rebb" (means D double flat). Close the dialog and go in pattern editor. This note will be displayed as "R b". When coming back to the tuning editor, only 3 characters are kept. So the textbox max length could be set to the same.

Maybe the idea is one letter for the note and 2 for the sharps/flats. But that does not allow for other notations with 2 characters for the note. That would require a max length of 4.

  • Press the "Save" button while editing the tune specific tuning.
TagsNo tags attached.
Has the bug occurred in previous versions?yes
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2017-07-16 11:03

administrator   ~0003109

Last edited: 2017-07-16 11:03

View 2 revisions

The tuning dialog is indeed far from optimal with respect to usability, also because only few people make use of this feature.

One could edit the ratios directly in the table. Hence a lot of clicks to get through.

Sensible suggestion but probably difficult to implement. I'll see if anything can be done about it but don't get your hopes high.

Entering the local decimal separator (",") does not work, it could be replaced automatically by ".". Otherwise, I first need to convert my values to US before copy/paste.

Should be doable as we already allow this in other windows. I'll look into allowing this in the tuning editor as well.

Saga Musix

Saga Musix

2017-07-16 15:46

administrator   ~0003110

As a general practice, you should currently keep your note names all upper-case, i.e. "DO" is okay, "Do" is not.

manx

manx

2017-07-16 18:02

administrator   ~0003111

Last edited: 2017-07-16 18:03

View 2 revisions

We are (and were for quite some time) aware of a ton of problems in the Tuning Dialog.

The confusion the Tuning Dialog will hopefully be slightly reduced in 1.27. In particular, there will only be the current "Tune-specific" tunings. "Built-in", "Local" and "Sandbox" will be completely gone. As will the possibility to export tuning collections (.tc files). Tunings will always reside in the module file, and exporting multiple ones will just write a set individual .tun files.

Additionally, support for importing Scale .scl files is fixed in 1.27, and support for exporting Scala .scl files is added. Both are already present in 1.27 test builds as of today.

The longer term plan is to completely re-do the whole Tuning Dialog. However, I am not sure if that will make it into 1.27. As I consider the current Tuning dialog basically a dead end, I'd rather invest time to redo it properly than fixing various usability problems (which unquestionably do exist) in the current one.

Note: This does not mean that we will not fix any bug in the current Tuning Dialog. In particular

When changing the ratio, the "group geometric" type is changed into "general". But if I want to switch to general, I would imagine that I would have to change it myself.

really should not happen. I'll investigate probably tomorrow.
The suggested usability improvements are noted for the redesigned dialog.

Saga Musix

Saga Musix

2017-07-17 15:48

administrator   ~0003112

We should also consider the possibility to instantly apply the currently edited tuning to an instrument. The fact that a tuning cannot be previewed at all is one of the biggest deficiencies of the current dialog, I think. As a first step, the tuning should be applied instantly (for the case that the song is playing in the background), and as a second step, we might want to be able to preview notes like in the sample or instrument editor.

manx

manx

2017-07-17 15:58

administrator   ~0003113

Another possibility I had in mind is not having a modal dialog at all and instead introducing another top level tab right beside Instruments. That would lend itself more naturally to realtime apply/preview.

Saga Musix

Saga Musix

2017-07-25 15:46

administrator   ~0003116

As of r8635, it is possible to use the local decimal separator in the tuning dialog. Quite a few other things in the tuning dialog have already changed and are still in the process of being changed.

Issue History

Date Modified Username Field Change
2017-07-16 10:53 circular17 New Issue
2017-07-16 11:03 Saga Musix Note Added: 0003109
2017-07-16 11:03 Saga Musix Note Edited: 0003109 View Revisions
2017-07-16 15:46 Saga Musix Note Added: 0003110
2017-07-16 18:02 manx Note Added: 0003111
2017-07-16 18:03 manx Note Edited: 0003111 View Revisions
2017-07-16 18:04 manx Target Version => OpenMPT 1.?? (long term goals)
2017-07-17 15:48 Saga Musix Note Added: 0003112
2017-07-17 15:58 manx Note Added: 0003113
2017-07-25 15:46 Saga Musix Note Added: 0003116